%define module_name Dist-Zilla-PluginBundle-SHLOMIF
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla.pm) perl(Dist/Zilla/Plugin/Authority.pm) perl(Dist/Zilla/Plugin/AutoPrereqs.pm) perl(Dist/Zilla/Plugin/CheckChangesHasContent.pm) perl(Dist/Zilla/Plugin/ConfirmRelease.pm) perl(Dist/Zilla/Plugin/ExecDir.pm) perl(Dist/Zilla/Plugin/FakeRelease.pm) perl(Dist/Zilla/Plugin/GatherDir.pm) perl(Dist/Zilla/Plugin/License.pm) perl(Dist/Zilla/Plugin/Manifest.pm) perl(Dist/Zilla/Plugin/ManifestSkip.pm) perl(Dist/Zilla/Plugin/MetaConfig.pm) perl(Dist/Zilla/Plugin/MetaJSON.pm) perl(Dist/Zilla/Plugin/MetaProvides/Package.pm) perl(Dist/Zilla/Plugin/MetaResources.pm) perl(Dist/Zilla/Plugin/MetaYAML.pm) perl(Dist/Zilla/Plugin/ModuleBuild.pm) perl(Dist/Zilla/Plugin/PkgVersion.pm) perl(Dist/Zilla/Plugin/PodCoverageTests.pm) perl(Dist/Zilla/Plugin/PodSyntaxTests.pm) perl(Dist/Zilla/Plugin/PodVersion.pm)
BuildRequires: perl(Dist/Zilla/Plugin/PodWeaver.pm) perl(Dist/Zilla/Plugin/PruneCruft.pm) perl(Dist/Zilla/Plugin/Readme.pm) perl(Dist/Zilla/Plugin/RunExtraTests.pm) perl(Dist/Zilla/Plugin/ShareDir.pm) perl(Dist/Zilla/Plugin/TaskWeaver.pm) perl(Dist/Zilla/Plugin/Test/CPAN/Changes.pm) perl(Dist/Zilla/Plugin/Test/Compile.pm) perl(Dist/Zilla/Plugin/Test/EOL.pm) perl(Dist/Zilla/Plugin/Test/NoTabs.pm) perl(Dist/Zilla/Plugin/Test/TrailingSpace.pm) perl(Dist/Zilla/Plugin/TestRelease.pm) perl(Dist/Zilla/Plugin/UploadToCPAN.pm) perl(Dist/Zilla/Role/PluginBundle/Easy.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Test/More.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000008
Release: alt1
Summary: Dist::Zilla plugins for me
Group: Development/Perl
License: mit
URL: http://metacpan.org/release/Dist-Zilla-PluginBundle-SHLOMIF

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Shlomi Fish.e's plugin bundle (originally derived/forked/based-on
https://github.com/doy/dist-zilla-pluginbundle-doy - thanks). Roughly
equivalent to (FILL IN/update).

    [Prereqs / TestMoreDoneTesting]
    -phase = test
    -type = requires
    Test::More = 0.88

    [GatherDir]
    [PruneCruft]
    [ManifestSkip]
    [MetaYAML]
    [License]
    [Readme]
    [RunExtraTests]
    [ExecDir]
    [ShareDir]
    [MakeMaker]
    [Manifest]

    [TestRelease]
    [ConfirmRelease]

    [MetaConfig]
    [MetaJSON]

    [NextRelease]
    format = %%-5v %%{yyyy-MM-dd}d
    [CheckChangesHasContent]

    [PkgVersion]
    [Authority]
    authority = cpan:DOY

    [PodCoverageTests]
    [PodSyntaxTests]
    [Test::NoTabs]
    [EOLTests]
    [Test::Compile]

    [MetaResources]
    ; autoconfigured, based on the value of 'repository'

    [Git::Check]
    allow_dirty =
    [Git::Commit]
    commit_msg = changelog
    [Git::Tag]
    tag_format = %%v
    tag_message =
    [Git::NextVersion]
    version_regexp = ^(\d+\.\d+)$
    first_version = 0.01

    [PodWeaver]

    [UploadToCPAN]

    [ContributorsFromGit]
    [MetaProvides::Package]
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc DOY-Changes.txt Changes~ README Changes LICENSE
%perl_vendor_privlib/D*

%changelog
* Tue Dec 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.000008-alt1
- regenerated from template by package builder

* Mon May 01 2017 Igor Vlasenko <viy@altlinux.ru> 0.000007-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.000006-alt1
- regenerated from template by package builder

* Sat Dec 17 2016 Igor Vlasenko <viy@altlinux.ru> 0.000005-alt1
- initial import by package builder

